Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::Sample Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::Sample Class Reference
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::Sample:
[legend]

## Public Member Functions
| Sample ()
| Sample (const Abc::P3fArraySample &iPos, const Abc::V3fArraySample &iVelocities=Abc::V3fArraySample(), const OFloatGeomParam::Sample &iWidths=OFloatGeomParam::Sample())
| Sample (const Abc::P3fArraySample &iPos, const Abc::UInt64ArraySample &iId, const Abc::V3fArraySample &iVelocities=Abc::V3fArraySample(), const OFloatGeomParam::Sample &iWidths=OFloatGeomParam::Sample())
const Abc::P3fArraySample & | getPositions () const
void | setPositions (const Abc::P3fArraySample &iSmp)
const Abc::UInt64ArraySample & | getIds () const
void | setIds (const Abc::UInt64ArraySample &iSmp)
const Abc::V3fArraySample & | getVelocities () const
void | setVelocities (const Abc::V3fArraySample &iVelocities)
const OFloatGeomParam::Sample & | getWidths () const
void | setWidths (const OFloatGeomParam::Sample &iWidths)
const Abc::Box3d & | getSelfBounds () const
void | setSelfBounds (const Abc::Box3d &iBnds)
void | reset ()
bool | isPartialSample () const

## Protected Attributes
Abc::P3fArraySample | m_positions
Abc::V3fArraySample | m_velocities
Abc::UInt64ArraySample | m_ids
OFloatGeomParam::Sample | m_widths
Abc::Box3d | m_selfBounds

## Constructor & Destructor Documentation

## ◆ Sample() [1/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::Sample::Sample | ( |  | ) |
| inline

Creates a default sample with no data in it. ...

## ◆ Sample() [2/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::Sample::Sample | ( | const Abc::P3fArraySample & | iPos,
|  | const Abc::V3fArraySample & | iVelocities = Abc::V3fArraySample(),
|  | const OFloatGeomParam::Sample & | iWidths = OFloatGeomParam::Sample() )
| inline

Creates a sample with position data but no id data. For specifying samples after the first one

## ◆ Sample() [3/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::Sample::Sample | ( | const Abc::P3fArraySample & | iPos,
|  | const Abc::UInt64ArraySample & | iId,
|  | const Abc::V3fArraySample & | iVelocities = Abc::V3fArraySample(),
|  | const OFloatGeomParam::Sample & | iWidths = OFloatGeomParam::Sample() )
| inline

Creates a sample with position data and id data. The first sample must be full like this. Subsequent samples may also be full like this, which would indicate a change of topology

The documentation for this class was generated from the following file:

- AbcGeom/OPoints.h